Bug 1123477 (CVE-2014-3562) - CVE-2014-3562 389-ds: unauthenticated information disclosure
Summary: CVE-2014-3562 389-ds: unauthenticated information disclosure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3562
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1123861 1123863 1123864 1123865 1123866 1127833 1127834
Blocks: 1123480
TreeView+ depends on / blocked
 
Reported: 2014-07-25 19:22 UTC by Vincent Danen
Modified: 2019-09-29 13:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that when replication was enabled for each attribute in Red Hat Directory Server / 389 Directory Server, which is the default configuration, the server returned replicated metadata when the directory was searched while debugging was enabled. A remote attacker could use this flaw to disclose potentially sensitive information.
Clone Of:
Environment:
Last Closed: 2014-08-07 18:44:12 UTC


Attachments (Terms of Use)
patch to correct the flaw (3.72 KB, patch)
2014-07-25 19:23 UTC, Vincent Danen
rmeggins: review+
Details | Diff
schema and aci change for workaround (370 bytes, text/x-ldif)
2014-07-28 07:31 UTC, Ludwig
no flags Details
Updated the Ludwig's patch following the review comments by Rich. (3.97 KB, patch)
2014-07-28 16:49 UTC, Noriko Hosoi
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1031 normal SHIPPED_LIVE Important: 389-ds-base security update 2014-08-07 22:23:38 UTC
Red Hat Product Errata RHSA-2014:1032 normal SHIPPED_LIVE Important: redhat-ds-base security update 2014-08-07 20:42:11 UTC

Description Vincent Danen 2014-07-25 19:22:29 UTC
IssueDescription:

It was found that when replication was enabled for each attribute in Red Hat Directory Server / 389 Directory Server, which is the default configuration, the server returned replicated metadata when the directory was searched while debugging was enabled. A remote attacker could use this flaw to disclose potentially sensitive information.


Acknowledgements:

This issue was discovered by Ludwig Krispenz of Red Hat.

Comment 1 Vincent Danen 2014-07-25 19:23:51 UTC
Created attachment 921040 [details]
patch to correct the flaw

Comment 2 Rich Megginson 2014-07-25 19:52:01 UTC
Comment on attachment 921040 [details]
patch to correct the flaw

It would be better if the new int rootonly structure member were added at the end.  This is a private structure, but just to be safe to ensure ABI compatibility.

Otherwise, ack

Comment 4 Nathan Kinder 2014-07-25 20:09:55 UTC
Adding mkosek since this affects IPA/IdM.

Comment 5 Ludwig 2014-07-28 07:31:10 UTC
Created attachment 921712 [details]
schema and aci change for workaround

Comment 6 Ludwig 2014-07-28 07:32:14 UTC
adding an nscpenntrywss attributetypes to the schema makes the aci work

Comment 7 Martin Kosek 2014-07-28 07:37:29 UTC
JFTR, this issue should not affect FreeIPA 4.0 and later as we no longer allow all attributes (except defined blacklist) as we did in pre-4.0, but rather only allow specified attributes (feature page: http://www.freeipa.org/page/V4/Permissions_V2).

Comment 11 Noriko Hosoi 2014-07-28 16:49:32 UTC
Created attachment 921835 [details]
Updated the Ludwig's patch following the review comments by Rich.

Comment 12 Noriko Hosoi 2014-07-29 00:41:15 UTC
Steps to verify:
1. set up 2-way MMR
2. do some add/modify/delete
3. run search as Directory Manager with attribute list "nscpEntryWSI".
ldapsearch [...] -D "cn=directory manager" -w <pw> -b <suffix> nscpEntryWSI
Expected result:
   dn: <some rdn>,<suffix>
   nscpEntryWSI: dn: <some rdn>,<suffix>
   nscpEntryWSI: objectClass;vucsn-53d6ebef000000010000: organization
   nscpEntryWSI: objectClass;vucsn-53d6ebef000000010000: top
   [...]
   nscpEntryWSI: tombstoneNumSubordinates: 1
4. run search as an ordinary user with attribute list "nscpEntryWSI".
ldapsearch [...] -D "uid=testuser,<suffix>" -w <pw> -b <suffix> nscpEntryWSI
Expected result:
   dn: <some rdn>,<suffix>
5. run search as nobody with attribute list "nscpEntryWSI".
ldapsearch [...] -b <suffix> nscpEntryWSI
Expected result:
   dn: <some rdn>,<suffix>

If only searching as the Directory Manager returns nscpEntryWSI values, this bug is verified.

Comment 13 Vincent Danen 2014-08-07 16:06:38 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1127833]
Affects: epel-5 [bug 1127834]

Comment 14 errata-xmlrpc 2014-08-07 16:42:20 UTC
This issue has been addressed in following products:

  Red Hat Directory Server 8 for RHEL 5

Via RHSA-2014:1032 https://rhn.redhat.com/errata/RHSA-2014-1032.html

Comment 15 errata-xmlrpc 2014-08-07 18:24:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2014:1031 https://rhn.redhat.com/errata/RHSA-2014-1031.html


Note You need to log in before you can comment on or make changes to this bug.